#ifndef GAMEBOOLOPTION_H
#define GAMEBOOLOPTION_H

#include "gameoption.h"

namespace Ui {
	class GameBoolOption;
}

class GameBoolOption : public GameOption {
	Q_OBJECT

	public:
		GameBoolOption(QString cmd, QString txt, QWidget *parent = 0);
		~GameBoolOption();
		void setText(QString txt);
		void setValue(QString val);

	protected:
		void changeEvent(QEvent *e);

	private:
		Ui::GameBoolOption *m_ui;

	private slots:
		void emitOptionChanged(bool ch);
};

#endif // GAMEBOOLOPTION_H
